'*********************************************************************
'/* COPYRIGHTS:                                                      */
'/*                                                                  */
'/*   This module contains code made available by IBM Corporation on */
'/* an AS IS basis.  Any one receiving the module is  considered  to */
'/* be  licensed under IBM copyrights to use the IBM-provided source */
'/* code in any way he or  she  deems  fit,  including  copying  it, */
'/* compiling  it,  modifying  it,  and  redistributing  it, with or */
'/* without modifications.  No license  under  any  IBM  patents  or */
'/* patent  applications  is  to  be  implied  from  this  copyright */
'/* license.                                                         */
'/*                                                                  */
'/*   A user of the module should understand that IBM cannot provide */
'/* technical support for the module and will not be responsible for */
'/* any consequences of use of the program.                          */
'/*                                                                  */
'/*   Any notice,  including this one, are not to  be  removed  from */
'/* the module with out the prior written consent of IBM.            */
'/*                                                                  */
'*********************************************************************
'
'This examples uses ADO and Windows Scripting Host (WSH).  WSH is included
'with Windows 2000 and 98.  It can be downloaded from www.microsoft.com/scripting
'for both Windows 95 and NT.
'MDAC (ADO) updates are available at www.microsoft.com/data
'

'cscript [host options...] [script name] [script options and parameters
'   cscript //B  "C:\xfer.vbs"  /parm1 /parm2
'
'You can create a script file with the options:
'[ScriptFile]
'Path=C:\WINNT\Samples\WSH\showprop.vbs
'[Options]
'Timeout = 0
'DisplayLogo = 0
'BatchMode = 1

    Const adClipString = 2
    Dim cn 	'As New ADODB.Connection
    Dim rs 	'As ADODB.Recordset
    Dim FSO 	'As Scripting.FileSystemObject
    Dim hFile 	'As Scripting.TextStream
    Dim PcFileName 

    'Get input args for script.  You can pass file names in...
    Dim I 'as Integer
    dim objArgs
    Set objArgs = WScript.Arguments
    PcFileName = Mid(objArgs(0), 2)
    'display all input args
    'For I = 0 To objArgs.Count - 1
       'WScript.Echo objArgs(I)       
    'Next
    
    'Create the output file
    Set FSO = CreateObject("Scripting.FileSystemObject")
    Set hFile = FSO.CreateTextFile(PcFileName)	

    'Download the target file
    Set cn = CreateObject("ADODB.Connection")
    cn.Open "DSN=RCHAS194;" ', "MYUSER", "MYPWD"
    Set rs = cn.Execute("Select * from qiws.qcustcdt", , -1)

    'You can format and write the data yourself or use one of
    'the ADO provided output types
    
    'This saves as ADTG or XML
    'rs.Save "C:\test.txt", adPersistADTG	
     
    'You can use GetString for simple tab or comma delimited file
    Dim rd 'as String	
    rd = vbCr & vbLf
    'comma delimited with crlf record delimeter
    S = rs.GetString(adClipString, , ",", rd, " ")
    hFile.Write S
    WScript.Echo "File successfully written"