'*********************************************************************
'/* COPYRIGHTS:                                                      */
'/*                                                                  */
'/*   This module contains code made available by IBM Corporation on */
'/* an AS IS basis.  Any one receiving the module is  considered  to */
'/* be  licensed under IBM copyrights to use the IBM-provided source */
'/* code in any way he or  she  deems  fit,  including  copying  it, */
'/* compiling  it,  modifying  it,  and  redistributing  it, with or */
'/* without modifications.  No license  under  any  IBM  patents  or */
'/* patent  applications  is  to  be  implied  from  this  copyright */
'/* license.                                                         */
'/*                                                                  */
'/*   A user of the module should understand that IBM cannot provide */
'/* technical support for the module and will not be responsible for */
'/* any consequences of use of the program.                          */
'/*                                                                  */
'/*   Any notice,  including this one, are not to  be  removed  from */
'/* the module with out the prior written consent of IBM.            */
'/*                                                                  */
'*********************************************************************
'
'This examples uses R510 Client Access Data Transfer ActiveX automation
'objects and Windows Scripting Host (WSH) to automate data transfer.
'This script has the user ID and password coded in, but could be 
'modified to accept them as input parameters. 
'Additional parameters and error handling may also be desired.
'
'WSH is included with Windows 2000 and 98.  It can be downloaded
'from msdn.microsoft.com/scripting for both Windows 95 and NT.
'

'cscript [host options...] [script name] [script options and parameters
'   cscript //B  "C:\transfer.vbs"  fileName
'   ex.  cscript //B C:\Transfer.vbs C:\Request.dtf

    Dim dbXfer 	'As New cwbx.DatabaseTransfer

    'Get input args for script.
    'One input argument for transfer file name
    Dim I 'as Integer
    Dim fileName 'as String

    Dim objArgs
    Set objArgs = WScript.Arguments
    
    'Print out arguments
    For I = 0 To objArgs.Count - 1
       WScript.Echo objArgs(I)       
    Next

    If objArgs.Count > 0 Then
      fileName = objArgs(0)
      
      'Create the output file
      Set dbXfer = CreateObject("cwbx.DatabaseTransfer")
      
      'Specify the user ID and password.  If incorrect, user will NOT be prompted, and an error is raised.
      dbXfer.UserID = "MYUSR"
      dbXfer.Password = "MYPWD"
      dbXfer.Transfer fileName

      If dbXfer.Errors.Count = 0 Then
        WScript.Echo "File successfully transferred."
      End If
    Else
      WScript.Echo "Transfer request not specified."
    End If